Get Agreement TemplatesDeprecated
Return agreement templates from Quinyx WFM. Deprecated — use wsdlGetAgreementTemplatesV2 instead.
Request
apiKeystringrequired
API key of the unit.
agreementTemplateIdint
Pass in 0 to select all agreements.
lastModifiedstring
Pass an empty string ("") if this parameter should be ignored, or a date to return agreement templates modified later than that date.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/wsdlGetAgreementTemplates"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetAgreementTemplates>
<apiKey xsi:type="xsd:string">string</apiKey>
<agreementTemplateId xsi:type="xsd:int">0</agreementTemplateId>
<lastModified xsi:type="xsd:string">string</lastModified>
</tns:wsdlGetAgreementTemplates>
</soap:Body>
</soap:Envelope>
EOFResponse
returnArray<AgreementTemplate>
itemAgreementTemplate
An agreement template (legacy).
idintrequired
Primary key
templateNamestringrequired
Name of the Template
weekHoursdecimalrequired
Preferred hours in a week
minHoursdecimalrequired
Minimum hours in a week
maxHoursdecimalrequired
Maximum hours in a week
salarydecimalrequired
Normal hour hourly salary, first entry on the template.
premiumSalarydecimalrequired
OverTime 1 – hourly salary
premiumSalary2decimalrequired
premiumSalary3decimalrequired
hourlyintrequired
fromDatedaterequired
Agreement start date
toDatedaterequired
Agreement end date. Only valid if expires is set.
expiresintrequired
1 indicates that the agreement has an expiry date.
commentstringrequired
periodTypeintrequired
periodDayintrequired
Not used.
periodStartdaterequired
Date when Agreement got valid
periodLengthintrequired
weeklyAvgdecimalrequired
empLeveldecimalrequired
First employment rate on the template.
stdRedDaysintrequired
stdOverTimeintrequired
maxHourDayintrequired
maxHourWeekintrequired
minShiftintrequired
minRestintrequired
shiftsArray<TemplateShift>required
redDaysArray<TemplateRedDay>required
overTimeArray<TemplateOverTime>required
tsdateTimerequired
Timestamp formatted to ISO 8601
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetAgreementTemplatesResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:AgreementTemplate[1]">
<item xsi:type="tns:AgreementTemplate">
<id xsi:type="xsd:int">0</id>
<templateName xsi:type="xsd:string">string</templateName>
<weekHours xsi:type="xsd:decimal">0</weekHours>
<minHours xsi:type="xsd:decimal">0</minHours>
<maxHours xsi:type="xsd:decimal">0</maxHours>
<salary xsi:type="xsd:decimal">0</salary>
<premiumSalary xsi:type="xsd:decimal">0</premiumSalary>
<premiumSalary2 xsi:type="xsd:decimal">0</premiumSalary2>
<premiumSalary3 xsi:type="xsd:decimal">0</premiumSalary3>
<hourly xsi:type="xsd:int">0</hourly>
<fromDate xsi:type="xsd:date">2024-01-01</fromDate>
<toDate xsi:type="xsd:date">2024-01-01</toDate>
<expires xsi:type="xsd:int">0</expires>
<comment xsi:type="xsd:string">string</comment>
<periodType xsi:type="xsd:int">0</periodType>
<periodDay xsi:type="xsd:int">0</periodDay>
<periodStart xsi:type="xsd:date">2024-01-01</periodStart>
<periodLength xsi:type="xsd:int">0</periodLength>
<weeklyAvg xsi:type="xsd:decimal">0</weeklyAvg>
<empLevel xsi:type="xsd:decimal">0</empLevel>
<stdRedDays xsi:type="xsd:int">0</stdRedDays>
<stdOverTime xsi:type="xsd:int">0</stdOverTime>
<maxHourDay xsi:type="xsd:int">0</maxHourDay>
<maxHourWeek xsi:type="xsd:int">0</maxHourWeek>
<minShift xsi:type="xsd:int">0</minShift>
<minRest xsi:type="xsd:int">0</minRest>
<shifts xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:TemplateShift[1]">
<item xsi:type="tns:TemplateShift">
<id xsi:type="xsd:int">0</id>
<templateId xsi:type="xsd:int">0</templateId>
<weekDay xsi:type="xsd:int">0</weekDay>
<availfrom xsi:type="xsd:time">00:00:00</availfrom>
<availto xsi:type="xsd:time">00:00:00</availto>
<altWeekDay xsi:type="xsd:int">0</altWeekDay>
<ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
</item>
</shifts>
<redDays xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:TemplateRedDay[1]">
<item xsi:type="tns:TemplateRedDay">
<id xsi:type="xsd:int">0</id>
<templateId xsi:type="xsd:int">0</templateId>
<redDate xsi:type="xsd:date">2024-01-01</redDate>
<description xsi:type="xsd:string">string</description>
<ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
</item>
</redDays>
<overTime xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:TemplateOverTime[1]">
<item xsi:type="tns:TemplateOverTime">
<id xsi:type="xsd:int">0</id>
<templateId xsi:type="xsd:int">0</templateId>
<weekDay xsi:type="xsd:int">0</weekDay>
<overtimeFrom xsi:type="xsd:time">00:00:00</overtimeFrom>
<overtimeTo xsi:type="xsd:time">00:00:00</overtimeTo>
<oType xsi:type="xsd:int">0</oType>
<altWeekDay xsi:type="xsd:int">0</altWeekDay>
<ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
</item>
</overTime>
<ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
</item>
</return>
</tns:wsdlGetAgreementTemplatesResponse>
</soap:Body>
</soap:Envelope>